Get Agency Daily Kpis By Product Dump Urls
curl --request GET \
--url https://api.topsort.com/public/v1/toppie/reporting/file-reports/daily-kpis-by-product \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/toppie/reporting/file-reports/daily-kpis-by-product"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/toppie/reporting/file-reports/daily-kpis-by-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{
"date": "2023-12-25",
"fileUrl": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Toppie API
Get Agency Daily Kpis By Product Dump Urls
Retrieve pre-signed S3 URLs for daily product-wise KPI files.
This endpoint provides a list of Amazon S3 pre-signed URLs, allowing access to product-wise daily KPIs for Toppie. The data is provided in Parquet file format.
Files become available daily after 3 AM UTC and contain KPI data for the previous day.
GET
/
public
/
v1
/
toppie
/
reporting
/
file-reports
/
daily-kpis-by-product
Get Agency Daily Kpis By Product Dump Urls
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
Report date (UTC) in YYYY-MM-DD format.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I